Permalink
Browse files

add debugger gems and update all gems.

  • Loading branch information...
1 parent d2fb594 commit 88fe4d08705efcf083983f4bd64454840e244998 rafaeldx7 committed Mar 8, 2013
Showing with 48 additions and 18 deletions.
  1. +12 −0 Gemfile
  2. +34 −16 Gemfile.lock
  3. +2 −2 ruby-bitly.gemspec
View
12 Gemfile
@@ -2,3 +2,15 @@ source "http://rubygems.org"
# Specify your gem's dependencies in ruby-bitly.gemspec
gemspec
+
+group :development, :test do
+
+ platforms :ruby_18 do
+ gem 'ruby-debug'
+ end
+
+ platforms :ruby_19, :ruby_20 do
+ gem 'debugger'
+ end
+
+end
View
@@ -8,23 +8,39 @@ PATH
GEM
remote: http://rubygems.org/
specs:
- addressable (2.2.6)
- crack (0.1.8)
- diff-lcs (1.1.2)
- json_pure (1.7.5)
+ addressable (2.3.3)
+ columnize (0.3.6)
+ crack (0.3.2)
+ debugger (1.4.0)
+ columnize (>= 0.3.1)
+ debugger-linecache (~> 1.1.1)
+ debugger-ruby_core_source (~> 1.2.0)
+ debugger-linecache (1.1.2)
+ debugger-ruby_core_source (>= 1.1.1)
+ debugger-ruby_core_source (1.2.0)
+ diff-lcs (1.2.1)
+ json_pure (1.7.7)
+ linecache (0.46)
+ rbx-require-relative (> 0.0.4)
mime-types (1.21)
- rake (0.8.7)
+ rake (10.0.3)
+ rbx-require-relative (0.0.9)
rest-client (1.6.7)
mime-types (>= 1.16)
- rspec (2.6.0)
- rspec-core (~> 2.6.0)
- rspec-expectations (~> 2.6.0)
- rspec-mocks (~> 2.6.0)
- rspec-core (2.6.4)
- rspec-expectations (2.6.0)
- diff-lcs (~> 1.1.2)
- rspec-mocks (2.6.0)
- vcr (1.10.0)
+ rspec (2.13.0)
+ rspec-core (~> 2.13.0)
+ rspec-expectations (~> 2.13.0)
+ rspec-mocks (~> 2.13.0)
+ rspec-core (2.13.0)
+ rspec-expectations (2.13.0)
+ diff-lcs (>= 1.1.3, < 2.0)
+ rspec-mocks (2.13.0)
+ ruby-debug (0.10.4)
+ columnize (>= 0.1)
+ ruby-debug-base (~> 0.10.4.0)
+ ruby-debug-base (0.10.4)
+ linecache (>= 0.3)
+ vcr (1.10.3)
webmock (1.6.4)
addressable (~> 2.2, > 2.2.5)
crack (>= 0.1.7)
@@ -33,8 +49,10 @@ PLATFORMS
ruby
DEPENDENCIES
- rake (~> 0.8.7)
- rspec (~> 2.6.0)
+ debugger
+ rake
+ rspec (~> 2.13)
ruby-bitly!
+ ruby-debug
vcr (~> 1.10.0)
webmock (~> 1.6.4)
View
@@ -16,8 +16,8 @@ Gem::Specification.new do |s|
s.require_paths = ["lib"]
s.add_dependency('rest-client', '~> 1.6')
s.add_dependency('json_pure', '~> 1.7')
- s.add_development_dependency('rake', '~> 0.8.7')
- s.add_development_dependency('rspec', '~> 2.6.0')
+ s.add_development_dependency('rake')
+ s.add_development_dependency('rspec', '~> 2.13')
s.add_development_dependency('vcr', '~> 1.10.0')
s.add_development_dependency('webmock', '~> 1.6.4')
end

0 comments on commit 88fe4d0

Please sign in to comment.